Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.relaxns.grammar
Class DeclImpl

    java.lang.Object
      com.sun.msv.relaxns.grammar.DeclImpl

All Implemented Interfaces:
  org.iso_relax.dispatcher.AttributesDecl, org.iso_relax.dispatcher.ElementDecl, java.io.Serializable

public class DeclImpl
extends java.lang.Object
implements org.iso_relax.dispatcher.ElementDecl, org.iso_relax.dispatcher.AttributesDecl, java.io.Serializable

Implementation of ElementDecl interface by MSV grammar model.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`Expression` | `exp` "meat" of this Rule.

Constructor Summary
`DeclImpl(ReferenceExp exp)`
`DeclImpl(java.lang.String name, Expression exp)`

Method Summary
`boolean` | `getFeature(java.lang.String feature)`
`java.lang.String` | `getName()`
`java.lang.Object` | `getProperty(java.lang.String property)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exp

    public final Expression exp

  "meat" of this Rule.

Constructor Detail

### DeclImpl

    public DeclImpl(ReferenceExp exp)

### DeclImpl

    public DeclImpl(java.lang.String name,
                    Expression exp)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.iso_relax.dispatcher.ElementDecl`

### getFeature

    public boolean getFeature(java.lang.String feature)
                       throws org.xml.sax.SAXNotRecognizedException

  Specified by:
    `getFeature` in interface `org.iso_relax.dispatcher.ElementDecl`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`

### getProperty

    public java.lang.Object getProperty(java.lang.String property)
                                 throws org.xml.sax.SAXNotRecognizedException

  Specified by:
    `getProperty` in interface `org.iso_relax.dispatcher.ElementDecl`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD